Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.search
Class SearchableCacheFactory

    java.lang.Object
      org.jboss.cache.search.SearchableCacheFactory

    public class SearchableCacheFactory

extends Object

Factory class used to create the searchable-cache like so: -

SearchableCache searchableCache = SearchableCacheFactory.createSearchableCache(coreCache, class[]);

Author:
  Navin Surtani (nsurtani@redhat.com)

Constructor Summary
`SearchableCacheFactory()`

Method Summary
`SearchableCache` | `createSearchableCache(org.jboss.cache.Cache<?,?> c, Class... classes)` Creates a searchable cache from a cache object and a class array, without the properties object.
`SearchableCache` | `createSearchableCache(org.jboss.cache.Cache<?,?> c, Properties properties, Class... classes)` This method creates a searchable cache as well but requires the properties object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchableCacheFactory

    public SearchableCacheFactory()

Method Detail

### createSearchableCache

    public SearchableCache createSearchableCache(org.jboss.cache.Cache<?,?> c,
                                                 Class... classes)

  Creates a searchable cache from a cache object and a class array, without the properties object.

  Parameters:
    `c` - - the Cache
    `classes` - - Class array to be added
  Returns:
    a SearchableCache

### createSearchableCache

    public SearchableCache createSearchableCache(org.jboss.cache.Cache<?,?> c,
                                                 Properties properties,
                                                 Class... classes)

  This method creates a searchable cache as well but requires the properties object.

  Parameters:
    `c` - - the Cache
    `properties` - - java.util.properties
    `classes` - - a class array
  Returns:
    a SearchableCache

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 JBoss, a division of Red Hat. All Rights Reserved.